Subject: Re: bug#17148: 23.1; Revert Buffer

From: Stefan Monnier <[email-masked]>
Date: Tue, 01 Apr 2014 16:14:04 -0400

>> Emacs is not notified, when a file changes its state outside Emacs. Only
>> prior to writing to a file Emacs checks, whether a file has changed on disk.
> Why can't the revert-buffer menu-item check the file mode bits match,
> the same way it verifies the modtime? IMO it should just call
> file-attributes once, and use that to check time and permissions.

Because revert-buffer is meant to handle the file's content, not its
read-only setting.
E.g. maybe the buffer is read-only because the user hit C-x C-q.

Maybe we should use a 3rd setting for buffer-read-only which says "obey
the file's writability".

        Stefan